%% Pressure/Volume function ventricle
function [plv] = PVfunction(Theta,Vlv,ep)

  Vd   = 0;    % unstressed volume (ml)
  Emax = ep*8;
  Emin = 0.025;
  T_Mf  = 0.3;    % time to max E (seconds)
  T_Rf  = 0.15;   % relaxation time (seconds)

  tTilde = mod(Theta,1); % fraction of cardiac cycle (seconds)

  if tTilde < T_Mf
    E = (Emax - Emin)*(1 - cos(pi*tTilde/T_Mf))/2 + Emin;
  end
  if (tTilde >= T_Mf) && (tTilde < (T_Mf + T_Rf))
    E = (Emax - Emin)*(cos(pi*(tTilde - T_Mf)/T_Rf) + 1)/2 + Emin;
  end
  if tTilde >= (T_Mf + T_Rf)
    E = Emin;
  end
% plv = E*Vd*( Vlv/Vd - 1 );
plv = E*( Vlv - Vd );
% plv = E*Vd*( (Vlv/Vd-1) + 0.2*(Vlv/Vd-1)^2 );
